export default {
  methods: {
    backTrackingResolver(gen, active) {
      console.log(gen)
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      console.log(active)
      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId)
        console.log(currentGroup)
        const disenrollAll = Math.abs(models.sum(m => Math.min(0, m.nextGroupIndicator || 0)))
        item.groupIndicator = currentGroup.nextGroupIndicator
        item.supplyBestIndicator = currentGroup.bestInIndicator || '/'
        item.supplyRankInBest = currentGroup.allowSelect ? `${currentGroup.rankInBest}/${currentGroup.bestInIndicator}` : '/'
        item.supplyRankInDisenroll = currentGroup.rankInDisenroll ? `${currentGroup.rankInDisenroll}/${disenrollAll}` : '/'
      })
      return {
        groupIndicator: {
          label: '超缺',
          slot: 'underOver'
        },
        supplyBestIndicator: {
          label: '补录组合成绩最高人数'
        },
        supplyRankInBest: {
          label: '补录组合成绩最高人数排名'
        },
        supplyRankInDisenroll: {
          label: '补录人数排名'
        }
      }
    }
  }
}
